pcl::cuda::CheckPlanarInlierIndices Struct Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Member Functions

| CheckPlanarInlierIndices (float4 coeff, float thresh)
__inline__ __host__ __device__ int | operator() (const PointXYZRGB &pt, const int &idx)

## Public Attributes

float4 | coefficients
float | threshold

## Detailed Description

Check if a certain tuple is a point inlier.

Definition at line 94 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## CheckPlanarInlierIndices()

pcl::cuda::CheckPlanarInlierIndices::CheckPlanarInlierIndices | ( | float4 | coeff,
|  | float | thresh
| ) |  |

inline

Definition at line 99 of file sac_model_1point_plane.h.

## Member Function Documentation

## operator()()

__inline__ __host__ __device__ int pcl::cuda::CheckPlanarInlierIndices::operator() | ( | const PointXYZRGB & | pt,
|  | const int & | idx
| ) |  |

## Member Data Documentation

## coefficients

float4 pcl::cuda::CheckPlanarInlierIndices::coefficients

Definition at line 96 of file sac_model_1point_plane.h.

## threshold

float pcl::cuda::CheckPlanarInlierIndices::threshold

Definition at line 97 of file sac_model_1point_plane.h.

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h